import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Wolke extends Actor
{
    private int timer = 10;
    public void act() 
    {
        this.timer--;
        if(this.timer == 0) {
            this.move(1);
            this.timer = 10;
        }
        if(this.isAtEdge()) {
            this.setLocation(1, this.getY());
        }
    }    
}